curl -X PUT https://app.drime.cloud/api/v1/file-entries/123456/change-permissions \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"userId": 12345,
"permissions": ["view"]
}'
// Downgrade user to view-only
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/123456/change-permissions', {
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
userId: 12345,
permissions: ['view']
})
});
const { users } = await response.json();
import requests
response = requests.put(
'https://app.drime.cloud/api/v1/file-entries/123456/change-permissions',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'userId': 12345,
'permissions': ['view']
}
)
users = response.json()['users']
{
"status": "success",
"users": [
{
"id": 12345,
"email": "colleague@example.com",
"display_name": "John Doe"
}
]
}
Sharing
Change Permissions
Update permissions for a shared user
PUT
/
file-entries
/
{entryId}
/
change-permissions
curl -X PUT https://app.drime.cloud/api/v1/file-entries/123456/change-permissions \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"userId": 12345,
"permissions": ["view"]
}'
// Downgrade user to view-only
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/123456/change-permissions', {
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
userId: 12345,
permissions: ['view']
})
});
const { users } = await response.json();
import requests
response = requests.put(
'https://app.drime.cloud/api/v1/file-entries/123456/change-permissions',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'userId': 12345,
'permissions': ['view']
}
)
users = response.json()['users']
{
"status": "success",
"users": [
{
"id": 12345,
"email": "colleague@example.com",
"display_name": "John Doe"
}
]
}
Overview
Changes the permissions a user has for a shared file or folder.Path Parameters
integer
required
ID of the shared file or folder
Request Body
integer
required
ID of the user whose permissions to change
array
required
New permissions to assign
view- Can view the file/folderedit- Can modify the file/folderdownload- Can download the file
Response
array
Updated list of users with access
string
Request status (
success)curl -X PUT https://app.drime.cloud/api/v1/file-entries/123456/change-permissions \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"userId": 12345,
"permissions": ["view"]
}'
// Downgrade user to view-only
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/123456/change-permissions', {
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
userId: 12345,
permissions: ['view']
})
});
const { users } = await response.json();
import requests
response = requests.put(
'https://app.drime.cloud/api/v1/file-entries/123456/change-permissions',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'userId': 12345,
'permissions': ['view']
}
)
users = response.json()['users']
{
"status": "success",
"users": [
{
"id": 12345,
"email": "colleague@example.com",
"display_name": "John Doe"
}
]
}
⌘I

